## org.eclipse.jet.taglib
Class JET2TagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jet.taglib.JET2TagException

All Implemented Interfaces:
  java.io.Serializable

    public class JET2TagException

extends java.lang.RuntimeException

Encapsulate an execution error during tag execution.

See Also:
  Serialized Form

Constructor Summary
`JET2TagException()`
`JET2TagException(java.lang.String message)`
`JET2TagException(java.lang.String message, java.lang.Throwable cause)`
`JET2TagException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JET2TagException

    public JET2TagException()

### JET2TagException

    public JET2TagException(java.lang.String message)

Parameters:
  `message` -

### JET2TagException

    public JET2TagException(java.lang.String message,
                            java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### JET2TagException

    public JET2TagException(java.lang.Throwable cause)

Parameters:
  `cause` -

Copyright 2006 IBM Corporation and others. All Rights Reserved.